Killer 500s (QCA6390) WLAN/BT [17cb:1101] unavailable

Bug #1879633 reported by You-Sheng Yang on 2020-05-20
152
This bug affects 27 people
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux (Ubuntu)
High
You-Sheng Yang
Focal
Undecided
You-Sheng Yang
Groovy
High
You-Sheng Yang
linux-firmware (Ubuntu)
Undecided
Unassigned
Focal
High
You-Sheng Yang
Groovy
High
You-Sheng Yang
linux-oem-5.10 (Ubuntu)
Undecided
Unassigned
Focal
High
You-Sheng Yang
Groovy
Undecided
Unassigned
linux-oem-5.6 (Ubuntu)
Undecided
Unassigned
Focal
High
You-Sheng Yang
Groovy
Undecided
Unassigned

Bug Description

TL;DR

To bring up QCA6390, aka. AX500s, on Ubuntu 20.04 Focal, please first update your system BIOS to the latest version available.

And then you will need both kernel (either oem-5.6, or oem-5.10, or generic-5.11) and firmware with ath11k support:

[kernel]

1. oem-5.6 >= 5.6.0-1039.43

  $ sudo apt-get install linux-oem-20.04

  linux-oem-20.04 meta package may upgrade to v5.10 soon, but it will still support ath11k.

2. oem-5.10 >= 5.10.0-1010.11 (recommended)

  $ sudo apt-get install linux-oem-20.04b

  This meta package may cease to exist after 5.10 oem kernel transition. Use linux-oem-20.04 then.

3. linux-generic-5.11

  # Enable ppa:canonical-kernel-team/bootstrap for Hirsute:
  $ sudo apt-add-repository ppa:canonical-kernel-team/bootstrap
  $ sudo sed -e 's,focal,devel,' -i /etc/apt/sources.list.d/ppa-canonical-kernel-team-ubuntu-bootstrap-focal.list
  $ sudo mv /etc/apt/sources.list.d/ppa-canonical-kernel-team-ubuntu-bootstrap-focal.list /etc/apt/sources.list.d/ppa-canonical-kernel-team-ubuntu-bootstrap-devel.list

  $ sudo apt-get update
  $ sudo apt-get install $(apt-cache search linux-modules-extra-5.11 | awk '{print $1}')

  # Then rename the list to prevent unexpected upgrades:
  $ sudo mv /etc/apt/sources.list.d/ppa-canonical-kernel-team-ubuntu-bootstrap-devel.list /etc/apt/sources.list.d/ppa-canonical-kernel-team-ubuntu-bootstrap-devel.list_
  $ sudo apt update

[firmware]

Version 1.187.7 or newer is needed. So just do:

  $ sudo apt-get install linux-firmware

Then reboot and check if wireless is now working. If doesn't, please file a new bug instead.

========== previous SRU justification header ==========

[SRU Justification: oem-5.6]

[Impact]

Qualcomm QCA6390 series not recognized due to the lack of ath11k and all
its prerequisite drivers.

$ lspci
0000:55:00.0 Unassigned class [ff00]: Qualcomm Device [17cb:1101]
 Subsystem: Bigfoot Networks, Inc. Device [1a56:a501]

[Fix]

Tag ath11k-qca6390-bringup-202011301608 from ath tree
(https://git.kernel.org/pub/scm/linux/kernel/git/kvalo/ath.git) marks
first stable milestone on the platform/device under development since
v5.6-rc1. Most of the commits under this tag, ~350 commits, have been
in vanilla kernel v5.10-rc4 except those starting from commit
065c9528cc50 ("ath11k: add 64bit check before reading msi high addr").

While ath11k depends on MHI bus, qrtr and qmi helpers, changes falling
in these components are also pulled.

Besides, tx encapsulation
https://<email address hidden>/
and a couple more inclusive of 6 GHz capability, BSS Color were also
pulled to satisfy API changes in mac80211/cfg80211.

[Test Case]

1. Install firmwares & boot from patched kernel,
2. ath11k should be now up and running. Check with
   `sudo dmesg | grep ath11k`

While this is going to bring massive changes to the kernel, as well as
shared wireless stack that is not only used by ath11k but also many
others, prebuilt kernel/firmware packages were deployed on platforms
with and without ath11k for regression tests, and so far the results are
positive.

[Where problems could occur]

ath11k and its relying parts have never been enabled in oem-5.6, so
changes to them should have little effect on most platforms. For
platforms equip QCA6390, this will be the first time they're probed and
enabled, and as the driver is still under polishing, there can be
regressions, performance lost, power consumption increase at this
moment.

Changes to wireless stack could also be an issue as this introduces
interface changes to the API, so maybe DKMS packages in the wild will be
affected.

========== SRU for U/OEM-5.10 ==========

[SRU Justification: U/OEM-5.10]

[Impact]

Qualcomm QCA6390 series not recognized due to the lack of ath11k driver.

$ lspci
0000:55:00.0 Unassigned class [ff00]: Qualcomm Device [17cb:1101]
 Subsystem: Bigfoot Networks, Inc. Device [1a56:a501]

[Fix]

25 additional fixes in ath tree
(https://git.kernel.org/pub/scm/linux/kernel/git/kvalo/ath.git), tag
ath11k-qca6390-bringup-202011301608 to resolve issues on TGL platforms,
and firmware updates from mainline are required.

[Test Case]

1. Install firmwares & boot from patched kernel,
2. ath11k should be now up and running. Check with
   `sudo dmesg | grep ath11k`

[Where problems could occur]

There has been a lot patches landed in kernel since 5.7 devel cycle. The
last bits here has merge base with mainline at v5.10-rc4, and since then
only patches for ath11k itself has been committed.

========== Original Bug Description ==========

Qualcomm QCA6390 series not recognized due to the lack of ath11k driver.

0000:55:00.0 Unassigned class [ff00]: Qualcomm Device [17cb:1101]
 Subsystem: Bigfoot Networks, Inc. Device [1a56:a501]

Depending on bug 1891632 to fix Wi-Fi dead after resumed from suspend.

---
ProblemType: Bug
ApportVersion: 2.20.11-0ubuntu27
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: u 1842 F.... pulseaudio
CasperMD5CheckResult: skip
DistributionChannelDescriptor:
 # This is the distribution channel descriptor for the OEM CDs
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-somerville-focal-amd64-20200502-85+fossa-bulbasaur+X23
DistroRelease: Ubuntu 20.04
InstallationDate: Installed on 2020-06-04 (0 days ago)
InstallationMedia: Ubuntu 20.04 "Focal" - Build amd64 LIVE Binary 20200502-05:58
IwConfig:
 lo no wireless extensions.

 enx00e04c6801fa no wireless extensions.
MachineType: Dell Inc. XPS 13 9310
Package: linux (not installed)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 i915drmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.6.0-1010-oem root=UUID=580a1e2b-9a42-4f3b-b20f-ddbed7b572f5 ro
ProcVersionSignature: Ubuntu 5.6.0-1010.10-oem 5.6.8
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-5.6.0-1010-oem N/A
 linux-backports-modules-5.6.0-1010-oem N/A
 linux-firmware 1.187+lp1867862.1
RfKill:

Tags: focal
Uname: Linux 5.6.0-1010-oem x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

_MarkForUpload: True
dmi.bios.date: 05/14/2020
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 0.1.9
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 10
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr0.1.9:bd05/14/2020:svnDellInc.:pnXPS139310:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct10:cvr:
dmi.product.family: XPS
dmi.product.name: XPS 13 9310
dmi.product.sku: 0991
dmi.sys.vendor: Dell Inc.

You-Sheng Yang (vicamo) on 2020-05-20
tags: added: hwe-networking-wifi
tags: added: oem-priority originate-from-1842268 somerville

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1879633

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu Focal):
status: New → Incomplete
You-Sheng Yang (vicamo) on 2020-05-22
tags: added: hwe-needs-driver
You-Sheng Yang (vicamo) on 2020-06-04
Changed in linux (Ubuntu Groovy):
status: Incomplete → In Progress
Changed in linux (Ubuntu Focal):
status: Incomplete → In Progress

apport information

tags: added: apport-collected focal
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

description: updated
You-Sheng Yang (vicamo) on 2020-06-05
description: updated
Changed in linux-oem-5.6 (Ubuntu Groovy):
status: New → Invalid
Changed in linux-oem-5.6 (Ubuntu Focal):
status: New → In Progress
assignee: nobody → You-Sheng Yang (vicamo)
Changed in linux (Ubuntu Groovy):
assignee: nobody → You-Sheng Yang (vicamo)
Changed in linux (Ubuntu Focal):
assignee: nobody → You-Sheng Yang (vicamo)
You-Sheng Yang (vicamo) on 2020-06-08
Changed in linux (Ubuntu Focal):
status: In Progress → Won't Fix
Changed in linux (Ubuntu Groovy):
status: In Progress → Incomplete
You-Sheng Yang (vicamo) wrote :

Focal v5.4 is currently out of scope unless further updated.

For groovy, the current beta driver release doesn't seem to compatible with v5.7-rc5, especially commit 85a087df4a71 ("bus: mhi: core: Remove link_status() callback").

[1]: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=85a087df4a719ebab940efa3c79625e68161f57b

You-Sheng Yang (vicamo) wrote :

Pushed linux-oem-5.6 version 5.6.0-1011.11+lp1879633 to PPA[1] build. Judging from the functional status is still not so stable, I'll mark this as INCOMPLETE until we have further updates.

[1]: https://launchpad.net/~vicamo/+archive/ubuntu/ppa-1879633

Changed in linux-oem-5.6 (Ubuntu Focal):
status: In Progress → Incomplete
You-Sheng Yang (vicamo) on 2020-10-26
description: updated
sadxps (sadxps) wrote :

It seems in both 20.04 and 20.10 placing the firmware files in `/lib/firmware/ath11k/QCA6390/hw2.0` causes the aforementioned kernels to hang on start up.

I have tested all kernels linked in the above PPA as well as https://git.kernel.org/pub/scm/linux/kernel/git/kvalo/ath.git/tag/?h=ath-202010281344 with the same result. Removing the firmware allows successful boot, but without the firmware files the WLAN card remains unusable.

I tested this on both fresh installs of ubuntu and xubuntu 20.04 and 20.10 with the same results.

You-Sheng Yang (vicamo) wrote :

What platform/model were you testing? I didn't meet any boot hang during the development. Logs available?

5.9.0-2002.3+lp1879633.2 is the one closest to ath-202010011934, so probably that means there are some backport regressions introduced in other versions, and thus need more regression tests on different models or even platforms without ath11k/6390.

This is still incomplete as the iface is dead after suspend/resume with following errors:

47053 [ 49.662341] PM: suspend exit
47054 [ 49.697009] ath11k_pci 0000:57:00.0: htc ep 2 consumed 1 credits (total 0)
47055 [ 49.697016] ath11k_pci 0000:57:00.0: WMI pdev set param 34 pdev id 0 value 1
47056 [ 49.697018] ath11k_pci 0000:57:00.0: htc insufficient credits ep 2 required 1 available 0
47057 [ 49.697020] ath11k_pci 0000:57:00.0: htc insufficient credits ep 2 required 1 available 0
47058 [ 52.911597] ath11k_pci 0000:57:00.0: htc insufficient credits ep 2 required 1 available 0
47059 [ 52.911601] ath11k_pci 0000:57:00.0: wmi command 16387 timeout
47060 [ 52.911603] ath11k_pci 0000:57:00.0: failed to send WMI_PDEV_SET_PARAM cmd
47061 [ 52.911607] ath11k_pci 0000:57:00.0: WMI pdev set param 10 pdev id 0 value 1
47062 [ 52.911610] ath11k_pci 0000:57:00.0: failed to enable dynamic bw: -11
47063 [ 52.916409] ath11k_pci 0000:57:00.0: htc insufficient credits ep 2 required 1 available 0
47064 [ 52.916414] ath11k_pci 0000:57:00.0: htc insufficient credits ep 2 required 1 available 0

This will remain INCOMPLETE until resolved & tested with some more platforms till we gain enough confidence to roll it out.

sadxps (sadxps) wrote :

I am using an XPS 13 9310, Core i7-1165g7 with 32GB of RAM. Initially I tested on a fresh install of Ubuntu 20.04 and kernel `5.6.0-2032.33+lp1879633.2` from your PPA, this caused the system to hang on boot.

I then remove this and the firmware, upgraded to 20.10 and had the same results with `5.8.0-2026.27+lp1879633.2` and the applicable firmware.

I tested once again with a fresh install of xubuntu 20.10 and had the same hang as well as the results described above in my last comment.

I will setup separate installs of Ubuntu 20.04 and 20.10 for further testing, I'm happy to try whatever may be needed. Also what logs would be helpful to include?

You-Sheng Yang (vicamo) wrote :

It would be nice if you can boot with additional kernel parameters:

  ath11k.debug_mask=0xffffffff debug ignore_loglevel log_buf_len=32M

You can dump system journal log of a previous boot with `journalctl -b -1`, or `journalctl -b -2` for a even more earlier one, and so on. Please attach the output as an attachment here.

And, if convenient, please run again with one additional more parameter along the aforementioned ones:

  moderate.blacklist=ath11k,ath11k_pci,btqca,hci_uart

This will omit module auto probe in the list, so we can isolate the problems a bit. Please also help collect its journal log.

You-Sheng Yang (vicamo) wrote :

I'll see if we happen to have one such model (XPS 13 9310) in the convenient store nearby tomorrow. ;)

You-Sheng Yang (vicamo) wrote :

er, autocorrection. It's:

  modprobe.blacklist=ath11k,ath11k_pci,btqca,hci_uart

You-Sheng Yang (vicamo) wrote :

hi, you must install linux-modules-* as well. Or, you may fail to locate your rootfs and get a emergency shell in initramfs stage. It's not a boot hang.

sadxps (sadxps) wrote :

I am running into the boot hang again, this time on xubuntu 20.10 and only when `modprobe.blacklist=ath11k,ath11k_pci,btqca,hci_uart` is *not* included.

sadxps (sadxps) wrote :

I determined the cause of the boot hang. It seems an existing hidden network connection located in `/etc/NetworkManager/system-connections/` was the culprit. Below are the steps to reproduce.

Step 1. Download attached `BrokenConnection.nmconnection` file
Step 2. Place the file in `/etc/NetworkManager/system-connections/`
Step 3. Either run `sudo service NetworkManager` or `sudo reboot`
Step 4. Note the system freezes if restarting NetworkMangaer or displays a kernel panic during boot.

```
BUG: Kernel Null pointer Dereference, address: 0000000000000008
#PF: supervisor read acess in kernel mode
#PF: error_code(0x0000) 0 not present page
PGD 0 PFD 0
Oops: 0000 [#1] SMP NOPTI
CPU: 7 PID: 0 Comm: swapper/7 Not tainted 5.9.0-2002-generic #3+lp1879633.2-Ubuntu
Hardware name: Dell Inc. XPS 13 9310/0F7M4C, BIOS 1.1.1 10/05/2020
RIP: 0010:skb_release_data+0x74/0x1b0
```

You-Sheng Yang (vicamo) wrote :

I couldn't reproduce what you have on a XPS 13 9310 with ath11k yet. Since there are still critical issues on ath11k upstream driver and thus those backported, preferred to have full reviews/tests when everything is on position. You may want to follow https://<email address hidden>/ ("ath11k: QCA6390 support on Linux") and its updates https://<email address hidden>/ before that.

Changed in linux-oem-5.6 (Ubuntu Focal):
status: Incomplete → Triaged
no longer affects: linux-oem-5.10 (Ubuntu Groovy)
Changed in linux-oem-5.10 (Ubuntu Focal):
status: New → Triaged
assignee: nobody → You-Sheng Yang (vicamo)
Changed in linux-oem-5.10 (Ubuntu):
status: New → Invalid
You-Sheng Yang (vicamo) wrote :

Updated PPAs in https://launchpad.net/~vicamo/+archive/ubuntu/ppa-1879633.1 (kernel) and https://launchpad.net/~vicamo/+archive/ubuntu/ppa-1879633 (firmware). Firmware packages are usually pretty big so they don't fit into one repo with 2GB size limit. Would take a few hours as usual for kernel builds.

@sadxps, if you're still around and would like to have a try, this revision should be much more stable.

You-Sheng Yang (vicamo) wrote :
Changed in linux (Ubuntu):
importance: Undecided → High
status: Incomplete → In Progress
no longer affects: linux (Ubuntu Groovy)
no longer affects: linux-oem-5.6 (Ubuntu Groovy)
Changed in linux (Ubuntu Groovy):
importance: Undecided → High
status: New → Triaged
assignee: nobody → You-Sheng Yang (vicamo)
Changed in linux-firmware (Ubuntu):
status: New → Invalid
Changed in linux-firmware (Ubuntu Focal):
assignee: nobody → You-Sheng Yang (vicamo)
importance: Undecided → High
status: New → In Progress
Changed in linux-firmware (Ubuntu Groovy):
assignee: nobody → You-Sheng Yang (vicamo)
importance: Undecided → High
status: New → In Progress
Changed in linux-oem-5.10 (Ubuntu Groovy):
status: New → Invalid
Changed in linux-oem-5.6 (Ubuntu Groovy):
status: New → Invalid
Changed in linux-oem-5.10 (Ubuntu Focal):
importance: Undecided → High
status: Triaged → In Progress
Changed in linux-oem-5.6 (Ubuntu Focal):
importance: Undecided → High
Lucas Hagen (lshagen) wrote :

I'm sorry for my inexperience. I have a XPS with the AX500 board, could you provide some instructions for me to test it, @vicamo?

You-Sheng Yang (vicamo) wrote :

Hi, @lshagen,

From comment #39 there are two PPAs containing the prebuilt packages for QCA6390 bringup. Find the "Adding this PPA to your system" section, which has the instructions to add that PPA to your system. The commands to execute here are:

  $ sudo add-apt-repository ppa:vicamo/ppa-1879633 # firmware
  $ sudo add-apt-repository ppa:vicamo/ppa-1879633.1 # kernel

Then you should click the url labeled as "View package details", which would give you full picture of what are actually carried in the PPA -- package names, versions and available series. If you're running Ubuntu Focal, for kernel packages linux-oem-5.10 packages are available, for firmware it's linux-firmware versioned 1.187.6+lp1879633.2.ath11k.202011301608. So you may like to install them with:

  $ sudo apt install \
        linux-headers-5.10.0-2005-oem \
        linux-oem-5.10-headers-5.10.0-2005 \
        linux-image-unsigned-5.10.0-2005-oem \
        linux-modules-5.10.0-2005-oem \
        \
        linux-firmware=1.187.6+lp1879633.2.ath11k.202011301608

Then boot from the newly installed kernel. You may also need to adjust your grub config so that it won't boot the default entry directly.

You-Sheng Yang (vicamo) wrote :

By the way, as you can see the kernel package name is "linux-image-unsigned". Because that's not an official kernel package but built from a personal PPA, it cannot be signed, which follows you'll have to disable SecureBoot before trying it out.

Timo Aaltonen (tjaalton) on 2020-12-08
Changed in linux-oem-5.10 (Ubuntu Focal):
status: In Progress → Fix Committed
Lucas Hagen (lshagen) wrote :

@vicamo, thank you very much for the instructions. I'm on groovy actually, so that's probably why it didn't work the last time, I didn't try to install the focal packages. I install the focal packages and everything seems to be working well.

I already noticed the freeze on start problem is no longer happening.

If you need any help testing, please feel free to contact me.

You-Sheng Yang (vicamo) on 2020-12-09
description: updated
You-Sheng Yang (vicamo) wrote :

@Lucas, thank you for testing. We're, however, experiencing an issue that MHI device may become unresponsive after a few warm boots, ath11k stops further attempt to init, and it takes a cold boot to resolve. Reported.

You-Sheng Yang (vicamo) on 2020-12-15
description: updated

Hello You-Sheng, or anyone else affected,

Accepted linux-firmware into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.187.7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in linux-firmware (Ubuntu Focal):
status: In Progress → Fix Committed
Leonard Broman (firepiper) wrote :

I just tested this by installing linux-firmware-1.187.7 with kernel 5.8.0-33-generic #36~20.04.1-Ubuntu SMP on a XPS 13 9310 laptop.

However, the wifi does not work and I get this error in the kernel log.

Dec 16 22:13:42 leonard-xps-13 kernel: [ 2.569870] ath11k_pci 0000:55:00.0: WARNING: ath11k PCI support is experimental!
Dec 16 22:13:42 leonard-xps-13 kernel: [ 2.570476] checking generic (4000000000 2328000) vs hw (603e000000 1000000)
Dec 16 22:13:42 leonard-xps-13 kernel: [ 2.570477] checking generic (4000000000 2328000) vs hw (4000000000 10000000)
Dec 16 22:13:42 leonard-xps-13 kernel: [ 2.570477] fb0: switching to inteldrmfb from EFI VGA
Dec 16 22:13:42 leonard-xps-13 kernel: [ 2.570528] Console: switching to colour dummy device 80x25
Dec 16 22:13:42 leonard-xps-13 kernel: [ 2.570556] i915 0000:00:02.0: vgaarb: deactivate vga console
Dec 16 22:13:42 leonard-xps-13 kernel: [ 2.571456] ath11k_pci 0000:55:00.0: BAR 0: assigned [mem 0x8e300000-0x8e3fffff 64bit]
Dec 16 22:13:42 leonard-xps-13 kernel: [ 2.571473] ath11k_pci 0000:55:00.0: enabling device (0000 -> 0002)
Dec 16 22:13:42 leonard-xps-13 kernel: [ 2.571509] ath11k_pci 0000:55:00.0: failed to get 32 MSI vectors, only -28 available
Dec 16 22:13:42 leonard-xps-13 kernel: [ 2.571512] ath11k_pci 0000:55:00.0: failed to enable msi: -28
Dec 16 22:13:42 leonard-xps-13 kernel: [ 2.571523] ath11k_pci: probe of 0000:55:00.0 failed with error -28

I have been experimenting with the mainline 5.10 kernels but I have been getting the same error on those.

Dan Fairs (danfairs) wrote :

I'm trying to test this with a Dell XPS 15 9500 with an AX500 Killer WiFi 6 - I believe this should use the ath11k driver. I'm running kernel 5.8.0-33-generic #36~20.04.1-Ubuntu SMP and have linux-firmware 1.187.7 installed.

I'm not seeing any mention of ath11k in my kernel log at all (and no wifi available of course). It's quite possible I'm doing something wrong - it's the first time I've tried to test something from -proposed.

fwiw, lspci just shows: 6c:00.0 Network controller: Qualcomm Device 1101 (rev 01)

Confirmed hardware works as I dual-boot this machine with Windows 10.

Happy to provide any further info.

Timo Aaltonen (tjaalton) on 2020-12-17
tags: added: verification-needed-focal
You-Sheng Yang (vicamo) wrote :

Leonard and Dan,

Not only the firmware but also kernel packages have to be installed, either from focal-proposed or from my PPA.

Timo Aaltonen (tjaalton) wrote :

somewhat verified on the private bug

tags: added: verification-done-focal
removed: verification-needed-focal
Leonard Broman (firepiper) wrote :

Sorry, couldn't find the 2005 kernel in proposed so I don't know what got to my mind, but I pulled the firmware and kernel from your PPA this time.

Kernel:
5.10.0-2005-oem #6+lp1879633.1.ath11k.202011301608-Ubuntu

Linux firmware:
Package: linux-firmware
Version: 1.187.6+lp1879633.2.ath11k.202011301608

We have some progress, the driver loads the adapter and it shows up in iwconfig

wlp85s0 IEEE 802.11 ESSID:off/any
          Mode:Managed Access Point: Not-Associated Tx-Power=-2147483648 dBm
          Retry short limit:7 RTS thr:off Fragment thr:off
          Power Management:on

However, it is still not usable to connect to wireless network. kern.log gives me this

Dec 19 10:37:32 leonard-xps-13 kernel: [ 3.639819] ath11k_pci 0000:55:00.0: qmi req mem_seg[0] 0x27c00000 3522560 1
Dec 19 10:37:32 leonard-xps-13 kernel: [ 3.639822] ath11k_pci 0000:55:00.0: qmi req mem_seg[1] 0x28100000 884736 4
Dec 19 10:37:32 leonard-xps-13 kernel: [ 3.646471] ath11k_pci 0000:55:00.0: chip_id 0x0 chip_family 0xb board_id 0xff soc_id 0xffffffff
Dec 19 10:37:32 leonard-xps-13 kernel: [ 3.646473] ath11k_pci 0000:55:00.0: fw_version 0x101c06cc fw_build_timestamp 2020-06-24 19:50 fw_build_id

Dec 19 10:43:44 leonard-xps-13 kernel: [ 381.960254] mhi 0000:55:00.0: Device failed to exit MHI Reset state
Dec 19 10:43:44 leonard-xps-13 kernel: [ 381.960272] ath11k_pci 0000:55:00.0: firmware crashed: MHI_CB_SYS_ERROR
Dec 19 10:43:47 leonard-xps-13 kernel: [ 384.987469] ath11k_pci 0000:55:00.0: wmi command 12289 timeout
Dec 19 10:43:47 leonard-xps-13 kernel: [ 384.987476] ath11k_pci 0000:55:00.0: failed to send WMI_START_SCAN_CMDID
Dec 19 10:43:47 leonard-xps-13 kernel: [ 384.987481] ath11k_pci 0000:55:00.0: failed to start hw scan: -11
Dec 19 10:44:03 leonard-xps-13 kernel: [ 400.086374] ath11k_pci 0000:55:00.0: wmi command 12289 timeout
Dec 19 10:44:03 leonard-xps-13 kernel: [ 400.086380] ath11k_pci 0000:55:00.0: failed to send WMI_START_SCAN_CMDID
Dec 19 10:44:03 leonard-xps-13 kernel: [ 400.086387] ath11k_pci 0000:55:00.0: failed to start hw scan: -11

Dan Fairs (danfairs) wrote :

Of course - apologies. New to this!

I've installed the kernel and firmware from your PPA, and I'm able to connect successfully to WiFi.

dan@aphid:/var/log$ cat kern.log | grep ath11k
Dec 19 12:45:45 aphid kernel: [ 0.000000] Linux version 5.10.0-2005-oem (buildd@lcy01-amd64-026) (gcc (Ubuntu 9.3.0-17ubuntu1~20.04) 9.3.0, GNU ld (GNU Binutils for Ubuntu) 2.34) #6+lp1879633.1.ath11k.202011301608-Ubuntu SMP Fri Dec 4 13:40:51 (Ubuntu 5.10.0-2005.6+lp1879633.1.ath11k.202011301608-oem 5.10.0-rc5)
Dec 19 12:45:45 aphid kernel: [ 12.164983] ath11k_pci 0000:6c:00.0: WARNING: ath11k PCI support is experimental!
Dec 19 12:45:45 aphid kernel: [ 12.165073] ath11k_pci 0000:6c:00.0: BAR 0: assigned [mem 0xb4200000-0xb42fffff 64bit]
Dec 19 12:45:45 aphid kernel: [ 12.165086] ath11k_pci 0000:6c:00.0: enabling device (0000 -> 0002)
Dec 19 12:45:45 aphid kernel: [ 12.165341] ath11k_pci 0000:6c:00.0: MSI vectors: 32
Dec 19 12:45:45 aphid kernel: [ 12.376680] ath11k_pci 0000:6c:00.0: qmi req mem_seg[0] 0x3f000000 3522560 1
Dec 19 12:45:45 aphid kernel: [ 12.376682] ath11k_pci 0000:6c:00.0: qmi req mem_seg[1] 0x3f600000 884736 4
Dec 19 12:45:45 aphid kernel: [ 12.383417] ath11k_pci 0000:6c:00.0: chip_id 0x0 chip_family 0xb board_id 0xff soc_id 0xffffffff
Dec 19 12:45:45 aphid kernel: [ 12.383418] ath11k_pci 0000:6c:00.0: fw_version 0x101c06cc fw_build_timestamp 2020-06-24 19:50 fw_build_id
Dec 19 12:45:45 aphid kernel: [ 12.556396] ath11k_pci 0000:6c:00.0 wlp108s0: renamed from wlan0

To recap, this is a Dell XPS 15 9500.

I'll experiment with what happens with sleep/hibernate and report back here with any issues.

Yuri Astrakhan (yuriastrakhan) wrote :
Download full text (4.7 KiB)

I have been using rc6 kernel 5.10, plus I git cloned the ath11k-firmware repo, and linking /lib/firmware/ath11k/QCA6390/hw2.0 -> /lib/ath11k-firmware/QCA6390/hw2.0/1.0.1/WLAN.HST.1.0.1-01740-QCAHSTSWPLZ_V2_TO_X86-1/

uname -a: Linux minty 5.10.0-051000rc6-generic #202011291930 SMP Mon Nov 30 00:36:46 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

I have had pretty good results with the wifi, except that after sleep resume, i always have to do sudo modprobe -r -f ath11k_pci && sudo modprobe ath11k_pci -- which takes 2 to 3 minutes (last run - 2:34). Otherwise wifi is not working at all.

Additionally, on occasion I have observed full system lock ups that require hard reboot (long press on power button). I do not know if this is related.

[ +0.000006] usb 1-3.1: USB disconnect, device number 6
[ +0.219827] usb 1-3.2: USB disconnect, device number 5
[ +0.150986] pcieport 0000:00:1c.4: PME: Spurious native interrupt!
[ +1.140384] ACPI Error: Thread 2487681024 cannot release Mutex [ECMX] acquired by thread 1375698944 (20200925/exmutex-378)

[ +0.000019] No Local Variables are initialized for Method [_Q66]

[ +0.000003] No Arguments are initialized for method [_Q66]

[ +0.000007] ACPI Error: Aborting method \_SB.PCI0.LPCB.ECDV._Q66 due to previous error (AE_AML_NOT_OWNER) (20200925/psparse-529)
[ +0.079962] usb 6-1: USB disconnect, device number 2
[ +1.614174] wlp4s0: deauthenticating from 58:ef:68:0f:2a:3a by local choice (Reason: 3=DEAUTH_LEAVING)
[ +0.140469] PM: suspend entry (s2idle)
[ +0.009589] Filesystems sync: 0.009 seconds
[ +0.002797] Freezing user space processes ... (elapsed 0.060 seconds) done.
[ +0.060942] OOM killer disabled.
[ +0.000001] Freezing remaining freezable tasks ... (elapsed 0.001 seconds) done.
[ +0.001721] printk: Suspending console(s) (use no_console_suspend to debug)
[Dec19 20:21] ACPI: EC: interrupt blocked
[Dec19 20:34] ACPI: EC: interrupt unblocked
[ +1.399994] xhci_hcd 0000:a5:00.0: BAR 0: error updating (0x8af00000 != 0x000000)
[ +0.189078] nvme nvme0: 16/0/0 default/read/poll queues
[ +0.304973] OOM killer enabled.
[ +0.000001] Restarting tasks ...
[ +0.003223] mei_hdcp 0000:00:16.0-b638ab7e-94e2-4ea2-a552-d1c54b627f04: bound 0000:00:02.0 (ops i915_hdcp_component_ops [i915])
[ +0.004528] done.
[ +0.063481] PM: suspend exit
[ +3.018443] ath11k_pci 0000:04:00.0: wmi command 16387 timeout
[ +0.000027] ath11k_pci 0000:04:00.0: failed to send WMI_PDEV_SET_PARAM cmd
[ +0.000006] ath11k_pci 0000:04:00.0: failed to enable dynamic bw: -11
[ +3.071691] ath11k_pci 0000:04:00.0: wmi command 16387 timeout
[ +0.000003] ath11k_pci 0000:04:00.0: failed to send WMI_PDEV_SET_PARAM cmd
[ +0.000003] ath11k_pci 0000:04:00.0: failed to enable PMF QOS: (-11
[ +3.071750] ath11k_pci 0000:04:00.0: wmi command 16387 timeout
[ +0.000005] ath11k_pci 0000:04:00.0: failed to send WMI_PDEV_SET_PARAM cmd
[ +0.000005] ath11k_pci 0000:04:00.0: failed to enable PMF QOS: (-11
[ +13.566946] ath11k_pci 0000:04:00.0: wmi command 16387 timeout
[ +0.000007] ath11k_pci 0000:04:00.0: failed to send WMI_PDEV_SET_PARAM cmd
[ +0.000006] ath11k_pci 0000:04:00.0: failed to enable PMF QOS: (-11
[ +0.144494] failed to send Q...

Read more...

You-Sheng Yang (vicamo) wrote :

@Leonard, could you attach your DMI/lspci info?

  $ sudo apt install dmidecode
  $ sudo dmidecode

@Yuri, please try kernel/firmware package from my PPA instead.

Deyan Petrov (deyanp) wrote :

@You-Sheng, I am on the latest Ubuntu 20.10 with 5.10.2 kernel (had the hope that wifi would magically start working on XPS 17 9700 but it didn't)

I guess if I apply the kernel/firmware from your PPA I will have to go back to an older kernel, right? Would the combo from your PPA be compatible with Ubuntu 20.10?

When do you plan to refresh the combo, or if I may dare to ask - have it official?

You-Sheng Yang (vicamo) on 2020-12-23
description: updated
Changed in linux-oem-5.6 (Ubuntu Focal):
status: Triaged → In Progress
Changed in linux-firmware (Ubuntu Groovy):
status: In Progress → Won't Fix
Changed in linux (Ubuntu Groovy):
status: Triaged → Won't Fix
You-Sheng Yang (vicamo) wrote :

@Deyan,

You can have the enabled kernel oem-5.10 from focal-proposed (See https://wiki.ubuntu.com/Testing/EnableProposed), which will be based on latest version of 5.10-generic for Ubuntu Hirsute 21.04.

For firmware, as there is no plan for Groovy so far, you may need to install from my PPA or by manual.

Finlay Thompson (finlay-nz) wrote :

Hi Everyone

I have an XPS 13 9310, with the QCA6390 wifi/bt chipset.

After installing 20.04, I installed the 5.10.2 kernel - no luck
Then I found this bug report, and tried installing the ppa version for 5.10.0-2005, and the firmware.

I can boot into the new kernel, but it locks up, fairly randomly.

My next plan is to re-install from scratch, and just install the 5.10.0-2005 version from the ppa.

Please let me know if there is anything else you would like me to try.

Fun christmas break fixing....

Finlay Thompson (finlay-nz) wrote :

Okay, install went better: now I am running the 5.10.0-2005-oem kernel okay.

And the wifi settings show up in menus properly.

However, it did not manage to connect to my wifi router:

```
Dec 24 12:50:25 korora kernel: [ 390.733206] ath11k_pci 0000:56:00.0: wmi command 12289 timeout
Dec 24 12:50:25 korora kernel: [ 390.733208] ath11k_pci 0000:56:00.0: failed to send WMI_START_SCAN_CMDID
Dec 24 12:50:25 korora kernel: [ 390.733210] ath11k_pci 0000:56:00.0: failed to start hw scan: -11
```

Is the message from syslog.

Finlay Thompson (finlay-nz) wrote :

Some more information:

victoria@korora:~$ dmesg | grep ath
[ 0.000000] Linux version 5.10.0-2005-oem (buildd@lcy01-amd64-026) (gcc (Ubuntu 9.3.0-17ubuntu1~20.04) 9.3.0, GNU ld (GNU Binutils for Ubuntu) 2.34) #6+lp1879633.1.ath11k.202011301608-Ubuntu SMP Fri Dec 4 13:40:51 (Ubuntu 5.10.0-2005.6+lp1879633.1.ath11k.202011301608-oem 5.10.0-rc5)
[ 0.985254] CPU: 5 PID: 192 Comm: systemd-udevd Tainted: G I 5.10.0-2005-oem #6+lp1879633.1.ath11k.202011301608-Ubuntu
[ 11.764298] systemd[1]: /lib/systemd/system/dbus.socket:5: ListenStream= references a path below legacy directory /var/run/, updating /var/run/dbus/system_bus_socket → /run/dbus/system_bus_socket; please update the unit file accordingly.
[ 12.087359] ath11k_pci 0000:56:00.0: WARNING: ath11k PCI support is experimental!
[ 12.087418] ath11k_pci 0000:56:00.0: BAR 0: assigned [mem 0x8c300000-0x8c3fffff 64bit]
[ 12.087436] ath11k_pci 0000:56:00.0: enabling device (0000 -> 0002)
[ 12.087538] ath11k_pci 0000:56:00.0: MSI vectors: 1
[ 12.406001] ath11k_pci 0000:56:00.0: qmi req mem_seg[0] 0x27c00000 3522560 1
[ 12.406003] ath11k_pci 0000:56:00.0: qmi req mem_seg[1] 0x28100000 884736 4
[ 12.412340] ath11k_pci 0000:56:00.0: chip_id 0x0 chip_family 0xb board_id 0xff soc_id 0xffffffff
[ 12.412342] ath11k_pci 0000:56:00.0: fw_version 0x101c06cc fw_build_timestamp 2020-06-24 19:50 fw_build_id
[ 12.583945] ath11k_pci 0000:56:00.0 wlp86s0: renamed from wlan0
[ 81.603127] ath11k_pci 0000:56:00.0: firmware crashed: MHI_CB_SYS_ERROR
[ 102.476223] ath11k_pci 0000:56:00.0: failed to receive scan abort comple: timed out
[ 102.476235] ath11k_pci 0000:56:00.0: failed to abort scan: -110
[ 106.060293] ath11k_pci 0000:56:00.0: wmi command 12289 timeout
[ 106.060298] ath11k_pci 0000:56:00.0: failed to send WMI_START_SCAN_CMDID
[ 106.060304] ath11k_pci 0000:56:00.0: failed to start hw scan: -11

E L (castor99) wrote :

Hi,

I installed Ubuntu 20.04.1 LTS on my XPS9310.

Enabled developper updates:

with
deb http://ch.archive.ubuntu.com/ubuntu/ focal-proposed main restricted universe multiverse

and then followed these instructions:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1879633/comments/43

after reboot the wifi was detected.
Unfortunately this is not stable and crashes either immediately or after a few minutes of usage.
And usually the laptop freezes after a while and becomes very very hot.

Here the kernel logs

Dec 22 18:25:06 xps9310 kernel: [ 9.251416] ath11k_pci 0000:55:00.0: WARNING: ath11k PCI support is experimental!
Dec 22 18:25:06 xps9310 kernel: [ 9.251716] ath11k_pci 0000:55:00.0: BAR 0: assigned [mem 0x8e300000-0x8e3fffff 64bit]
Dec 22 18:25:06 xps9310 kernel: [ 9.251735] ath11k_pci 0000:55:00.0: enabling device (0000 -> 0002)
Dec 22 18:25:06 xps9310 kernel: [ 9.251824] ath11k_pci 0000:55:00.0: MSI vectors: 1

Dec 22 18:25:06 xps9310 kernel: [ 9.496982] ath11k_pci 0000:55:00.0: qmi req mem_seg[0] 0x27800000 3522560 1
Dec 22 18:25:06 xps9310 kernel: [ 9.496985] ath11k_pci 0000:55:00.0: qmi req mem_seg[1] 0x27e00000 884736 4
Dec 22 18:25:06 xps9310 kernel: [ 9.503636] ath11k_pci 0000:55:00.0: chip_id 0x0 chip_family 0xb board_id 0xff soc_id 0xffffffff
Dec 22 18:25:06 xps9310 kernel: [ 9.503637] ath11k_pci 0000:55:00.0: fw_version 0x101c06cc fw_build_timestamp 2020-06-24 19:50 fw_build_id

Dec 22 18:25:06 xps9310 kernel: [ 9.673746] ath11k_pci 0000:55:00.0 wlp85s0: renamed from wlan0

Dec 22 18:25:37 xps9310 kernel: [ 40.859652] ath11k_pci 0000:55:00.0: firmware crashed: MHI_CB_SYS_ERROR
Dec 22 18:26:00 xps9310 kernel: [ 63.561197] ath11k_pci 0000:55:00.0: failed to receive scan abort comple: timed out
Dec 22 18:26:00 xps9310 kernel: [ 63.561202] ath11k_pci 0000:55:00.0: failed to abort scan: -110
Dec 22 18:26:00 xps9310 kernel: [ 63.562134] wlp85s0: authenticate with 78:8a:20:4a:ea:ca
Dec 22 18:26:03 xps9310 kernel: [ 66.629275] ath11k_pci 0000:55:00.0: wmi command 16387 timeout
Dec 22 18:26:03 xps9310 kernel: [ 66.629280] ath11k_pci 0000:55:00.0: failed to send WMI_PDEV_SET_PARAM cmd
Dec 22 18:26:03 xps9310 kernel: [ 66.629287] ath11k_pci 0000:55:00.0: failed to recalc txpower limit 24 using pdev param 3: -11
Dec 22 18:26:06 xps9310 kernel: [ 69.701276] ath11k_pci 0000:55:00.0: wmi command 20488 timeout
Dec 22 18:26:06 xps9310 kernel: [ 69.701281] ath11k_pci 0000:55:00.0: failed to send WMI_VDEV_SET_PARAM_CMDID
Dec 22 18:26:06 xps9310 kernel: [ 69.701288] ath11k_pci 0000:55:00.0: Failed to set beacon interval for VDEV: 0
^@^@^@^@^@
.........
@^@^@^@^@^@Dec 22 19:11:03 xps9310 kernel: [ 0.000000] Linux version 5.8.0-34-generic (buildd@lcy01-amd64-015) (gcc (Ubuntu 9.3.0-17ubuntu1~20.04) 9.3.0, GNU ld (GNU Binutils for Ubuntu) 2.34) #37~20.04.2-Ubuntu SMP Thu Dec 17 14:53:00 UTC 2020 (Ubuntu 5.8.0-34.37~20.04.2-generic 5.8.18)

Attached my dmidecode

Leonard Broman (firepiper) wrote :

Sorry for late reply, you know xmas and stuff... Attaching my dmidecode as requested.

AceLan Kao (acelankao) on 2020-12-28
Changed in linux-oem-5.6 (Ubuntu Focal):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

I'm not comfortable with releasing this given the vagueness of the verification in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1879633/comments/51, subsequently I'm setting the tags back to verification-needed.

tags: added: verification-needed-focal
removed: verification-done-focal
Finlay Thompson (finlay-nz) wrote :

Hi Again

I have a XPS13 that needs a working ath11k driver, and I would like to try the fixes reported here.

What is the recommended approach? (I am happy to reinstall from scratch).

Thanks for all your work!

F

You-Sheng Yang (vicamo) on 2021-01-05
tags: added: verification-done-focal
removed: verification-needed-focal
You-Sheng Yang (vicamo) wrote :

Verified linux-oem-5.6 version 5.6.0-1039-oem, and linux-firmware version 1.187.7 from focal-proposed on one platform with QCA6390 and the other with Intel 9260.

You-Sheng Yang (vicamo) wrote :

For those who want to try ath11k/QCA6390:

  1. please check with your vendor for latest BIOS update info as it takes BIOS update for us during the development on a specific model as well.
  2. for Focal users, you will need:
     - linux-firmware >= 1.187.7,
     - linux-oem-20.04 >= 5.6.0.1039.37 from focal-proposed, or linux-oem-20.04-edge >= 5.10.0.1008.8 from focal-updates.
  3. for Groovy, Hirsute users, you need to add Focal repositories containing aforementioned packages and install them.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.187.7

---------------
linux-firmware (1.187.7) focal; urgency=medium

  * Update linux-firmware in focal for 5.8 hwe kernel (LP: #1907158)
    - UBUNTU: [Debian] list-udeb-updates -- Add support for
      linux-hwe-X.Y packages
    - UBUNTU: amdgpu -- Add navi14 and vega20 TA firmware for 5.8 hwe kernel
    - linux-firmware: add firmware for MT7663 Wifi/BT combo device
    - linux-firmware: add rebb firmware for mt7663
    - linux-firmware: add firmware for MT7915E
    - Update binary firmware for MT7663 based devices to include firmware
      offload feature and low power feature.
    - UBUNTU: iwlwifi -- Add new firmware files for 5.8 hwe kernel
    - UBUNTU: Update nic-firmware udeb for 5.8 hwe kernel

  * Support Intel AX210 wifi [8086:2725] Subsystem [8086:4020]
    (LP: #1902848)
    - UBUNTU: SAUCE: iwlwifi: Add iwlwifi-ty-a0-gf-a0-59.ucode from
      core56-54 release

  * Add support for Intel Bluetooth Device Typhoon Peak (8087:0032)
    (LP: #1890130)
    - linux-firmware: Update firmware file for Intel Bluetooth AX210
    - linux-firmware: Update firmware file for Intel Bluetooth AX210

  * Killer 500s (QCA6390) WLAN/BT [17cb:1101] unavailable (LP: #1879633)
    - QCA: Add Bluetooth firmware for QCA6390
    - QCA: Update Bluetooth firmware for QCA6390
    - ath11k: QCA6390 hw2.0: add board-2.bin
    - ath11k: QCA6390 hw2.0: add to
      WLAN.HST.1.0.1-01740-QCAHSTSWPLZ_V2_TO_X86-1
    - QCA: Update Bluetooth firmware for QCA6390

 -- Seth Forshee <email address hidden> Mon, 14 Dec 2020 10:50:25 -0600

Changed in linux-firmware (Ubuntu Focal):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for linux-firmware has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Timo Aaltonen (tjaalton) on 2021-01-05
Changed in linux-oem-5.10 (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (23.0 KiB)

This bug was fixed in the package linux-oem-5.6 - 5.6.0-1039.43

---------------
linux-oem-5.6 (5.6.0-1039.43) focal; urgency=medium

  * focal/linux-oem-5.6: 5.6.0-1039.43 -proposed tracker (LP: #1909420)

  * Fix suspend error of SOF driver (LP: #1908713)
    - Revert "ALSA: hda: Refactor codec PM to use direct-complete optimization"

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

  * Killer 500s (QCA6390) WLAN/BT [17cb:1101] unavailable (LP: #1879633)
    - Bluetooth: btusb: Add flag to define wideband speech capability
    - Bluetooth: Support querying for WBS support through MGMT
    - Bluetooth: Enable erroneous data reporting if WBS is supported
    - Bluetooth: Increment management interface revision
    - Bluetooth: fix off by one in err_data_reporting cmd masks.
    - Bluetooth: mgmt: add mgmt_cmd_status in add_advertising
    - mac80211: add 802.11 encapsulation offloading support
    - mac80211: fix tx status for no ack cases
    - nl80211: add handling for BSS color
    - mac80211: add handling for BSS color
    - mac80211: allow setting queue_len for drivers not using wake_tx_queue
    - Bluetooth: hci_qca: Enable clocks required for BT SOC
    - Bluetooth: hci_qca: Optimized code while enabling clocks for BT SOC
    - mac80211: fix 11w when using encapsulation offloading
    - ath11k: Silence clang -Wsometimes-uninitialized in
      ath11k_update_per_peer_stats_from_txcompl
    - ath11k: drop tx_info from ath11k_sta
    - ath11k: add HE rate accounting to driver
    - ath11k: fix rcu lock protect in peer assoc confirmation
    - ath11k: fix warn-on in disassociation
    - ath11k: fix parsing PPDU_CTRL type in pktlog
    - ath11k: Fixing dangling pointer issue upon peer delete failure
    - ath11k: fix incorrect peer stats counters update
    - Bluetooth: hci_qca: Bug fixes while collecting controller memory dump
    - net: qrtr: Migrate nameservice to kernel from userspace
    - net: qrtr: Fix the local node ID as 1
    - net: qrtr: fix spelling mistake "serivce" -> "service"
    - net: qrtr: Fix error pointer vs NULL bugs
    - Bluetooth: Replace zero-length array with flexible-array member
    - Bluetooth: hci_qca: Not send vendor pre-shutdown command for QCA Rome
    - Bluetooth: btqca: Fix the NVM baudrate tag offcet for wcn3991
    - net: qrtr: Respond to HELLO message
    - net: qrtr: Fix FIXME related to qrtr_ns_init()
    - soc: qcom: Do not depend on ARCH_QCOM for QMI helpers
    - Bluetooth: hci_qca: Make bt_en and susclk not mandatory for QCA Rome
    - Bluetooth: hci_qca: Replace devm_gpiod_get() with devm_gpiod_get_optional()
    - ath11k: config reorder queue for all tids during peer setup
    - ath11k: add thermal cooling device support
    - ath11k: add thermal sensor device support
    - ath11k: Use scnprintf() for avoiding potential buffer overflow
    - ath11k: handle RX fragments
    - ath11k: enable PN offload
    - ath11k: set queue_len to 4096
    - ath11k: add WMI calls required for handling BSS color
    - ath11k: add handling for BSS color
    - ath11k: Supporting RX ring backpressure HTT event and stats handling
    - ath11k: fill channel info from rx channel
    - ath11k: dum...

Changed in linux-oem-5.6 (Ubuntu Focal):
status: Fix Committed → Fix Released
Michelle (mpisters) wrote :

Hi,

I have installed ubuntu 20.04.1 LTS and have as kernel 5.10.7 and the ath11 enabled. I am unable to get the wifi working on my xps 15 9500. The bluetooth works.

If I do `dmesg`, then this is the output.

[49521.913254] r8152 4-2.4:1.0 enx74782787c3d0: carrier off
[49523.487603] ath11k_pci 0000:6c:00.0: failed to send WMI_PDEV_SET_PARAM cmd
[49523.487605] ath11k_pci 0000:6c:00.0: failed to enable PMF QOS: (-108
[49523.487740] ath11k_pci 0000:6c:00.0: failed to send WMI_PDEV_SET_PARAM cmd
[49523.487741] ath11k_pci 0000:6c:00.0: failed to enable PMF QOS: (-108
[49531.193591] r8152 4-2.4:1.0 enx74782787c3d0: carrier on
[49533.489875] ath11k_pci 0000:6c:00.0: failed to send WMI_PDEV_SET_PARAM cmd
[49533.489882] ath11k_pci 0000:6c:00.0: failed to enable PMF QOS: (-108
[49533.490367] ath11k_pci 0000:6c:00.0: failed to send WMI_PDEV_SET_PARAM cmd
[49533.490373] ath11k_pci 0000:6c:00.0: failed to enable PMF QOS: (-108
[49543.492600] ath11k_pci 0000:6c:00.0: failed to send WMI_PDEV_SET_PARAM cmd
[49543.492607] ath11k_pci 0000:6c:00.0: failed to enable PMF QOS: (-108
[49543.493167] ath11k_pci 0000:6c:00.0: failed to send WMI_PDEV_SET_PARAM cmd
[49543.493175] ath11k_pci 0000:6c:00.0: failed to enable PMF QOS: (-108
[49553.496286] ath11k_pci 0000:6c:00.0: failed to send WMI_PDEV_SET_PARAM cmd
[49553.496294] ath11k_pci 0000:6c:00.0: failed to enable PMF QOS: (-108
[49553.496776] ath11k_pci 0000:6c:00.0: failed to send WMI_PDEV_SET_PARAM cmd
[49553.496781] ath11k_pci 0000:6c:00.0: failed to enable PMF QOS: (-108

Is there something I can do to get this working?

Kind regards,

Lucas Zanella (lucaszanella) wrote :

Any news on this driver?

Deyan Petrov (deyanp) wrote :

@vicamo, you say "3. for Groovy, Hirsute users, you need to add Focal repositories containing aforementioned packages and install them." but is there an easy way?

I am on 20.10 and I am afraid that if I start mixing focal and groovy repos that something else will break.

If anyone has managed to get this going on Ubuntu 20.10 and has some clear & concrete instructions pls let me know how to do it ...

Andy Chi (andch) wrote :

Hi,
Currently I just fixed my xps 9310's wifi card by installing kernel 5.10.
My xps system firmware version was 1.1.4 and I update to 1.2.5.
If it does not update bios, system get stuck after turning wifi on and off.
I add ubuntu-kernel PPA to my laptop then install kernel package.
Package:
linux-headers-oem-20.04b
linux-image-oem-20.04b

Below is my system configuration.
product_sku: 0991
bios_version: 1.2.5
linux-firmware: 1.187.9

Leonard Broman (firepiper) wrote :

@andch

Thanks for reporting this progress so us 9310 owners can solve this eventually!

I tried this but got only minor progress. Update to 1.2.5 firmware as you advised.

Installed kernel 5.10.12 with mainline but can only see wifi list (better than before) but not connect. Bluetooth is not working either.

Also tried
5.6.0-1036-oem
5.6.0-1042-oem
Both locks up on the login screen and forces me to do 4 second hard power down.

I could not find the package you mentioned, which PPA did you get this kernel so I can try it out?

Andy Chi (andch) wrote :

Hello @firepiper,
I add this PPA to get appropriate kernel.
https://launchpad.net/~canonical-kernel-team/+archive/ubuntu/ppa
$ sudo add-apt-repository ppa:canonical-kernel-team/ppa
$ sudo apt-get update
$ sudo apt install linux-headers-oem-20.04b
$ sudo apt install linux-image-oem-20.04b

Please try it out again.
I use fwupdmgr to update my system firmware, maybe you can also try it out.

Kayvee (vkkodali) wrote :

Hello @andch,
I am also having similar issues. I have a XPS 13 9310, Core i7-1165g7 with 32GB of RAM and followed your steps to add the canonical-kernel-team ppa and install the two packages. That repository no longer has linux-headers-oem-20.04b but has linux-headers-oem-20.04.

Here's what I have:
linux-image-oem-20.04/groovy,now 5.8.0.42.46 amd64 [installed]
linux-headers-oem-20.04/groovy,now 5.8.0.42.46 amd64 [installed]

My XPS firmware (bios version) is 1.2.5.
After running fwupdmgr get-updates and fwupdmgr get-upgrades I do not see any new updates available for my machine.

I cannot get the WiFi working. Any help is appreciated.

You-Sheng Yang (vicamo) wrote :

@Kayvee, you should be able to install linux-oem-20.04b directly without any additional ppa on Focal: https://packages.ubuntu.com/focal-updates/linux-oem-20.04b.

Note it's linux-oem-20.04"b", not linux-oem-20.04.

Deyan Petrov (deyanp) wrote :

@vicamo, any easy instructions for Ubuntu 20.10?

Kai-Chuan Hsieh (kchsieh) wrote :

@deyanp

1. $ sudo add-apt-repository ppa:canonical-kernel-team/ppa
2. you can see a file canonical-kernel-team-ubuntu-ppa-groovy.list under /etc/apt/sources.list.d
3. edit /etc/apt/sources.list.d/canonical-kernel-team-ubuntu-ppa-groovy.list to add a line
+deb http://ppa.launchpad.net/canonical-kernel-team/ppa/ubuntu/ focal main
4. $ sudo apt update
5. $ sudo apt install linux-headers-oem-20.04b
6. $ sudo apt install linux-image-oem-20.04b
7. Reboot the device and boot into 5.10.0 oem kernel

then, the Killer 500 Wi-Fi card should be probed, if not please upload your kernel log by having
$ journalctl -k > kernel.log => attach kernel.log to the bug.

Thanks,

You-Sheng Yang (vicamo) wrote :

@Deyan,

$ sed -e 's,groovy,focal,' /etc/apt/sources.list | sudo tee /etc/apt/sources.list.d/focal.list
$ sudo apt-get update && sudo apt-get install linux-oem-20.04b

Kayvee (vkkodali) wrote :

Thank you @kchsieh and @vicamo
I followed the steps mentioned above and installed the linux-headers-oem-20.04b and linux-image-oem-20.04b packages. After rebooting using the 5.10 kernel, I still don't see the WiFi card recognized.

$ uname -a
Linux sgb3 5.10.0-1014-oem #15-Ubuntu SMP Wed Feb 3 14:07:18 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux

I am seeing the following in kernel log:
$ grep 'ath11k' kernel.log
Feb 03 14:42:38 sgb3 kernel: ath11k_pci 0000:71:00.0: WARNING: ath11k PCI support is experimental!
Feb 03 14:42:38 sgb3 kernel: ath11k_pci 0000:71:00.0: BAR 0: assigned [mem 0xa6100000-0xa61fffff 64bit]
Feb 03 14:42:38 sgb3 kernel: ath11k_pci 0000:71:00.0: enabling device (0000 -> 0002)
Feb 03 14:42:38 sgb3 kernel: ath11k_pci 0000:71:00.0: MSI vectors: 32
Feb 03 14:42:38 sgb3 kernel: mhi 0000:71:00.0: Direct firmware load for ath11k/QCA6390/hw2.0/amss.bin failed with error -2

Kayvee (vkkodali) wrote :

I figured it out! Here's what I had to do:
(copied from: https://wireless.wiki.kernel.org/en/users/drivers/ath11k/installation)

git clone git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
cd linux-firmware
sudo cp -r ath11k/ /lib/firmware/

So far it is working fine. I am able to close the laptop lid, put it to sleep and WiFi connects automatically after the machine wakes up.

Deyan Petrov (deyanp) wrote :
Download full text (10.1 KiB)

Thanks @kchsieh and @vicamo

I have executed

$ sed -e 's,groovy,focal,' /etc/apt/sources.list | sudo tee /etc/apt/sources.list.d/focal.list
$ sudo apt-get update && sudo apt-get install linux-oem-20.04b

and booted into 5.10.0, however no wifi. Should I do what @vkkodali did?

sudo grep 'ath11k' /var/log/kern.log
Feb 5 09:11:18 deyan-XPS-17-9700 kernel: [ 12.057189] ath11k_pci 0000:04:00.0: WARNING: ath11k PCI support is experimental!
Feb 5 09:11:18 deyan-XPS-17-9700 kernel: [ 12.057486] ath11k_pci 0000:04:00.0: BAR 0: assigned [mem 0xd2100000-0xd21fffff 64bit]
Feb 5 09:11:18 deyan-XPS-17-9700 kernel: [ 12.057611] ath11k_pci 0000:04:00.0: enabling device (0000 -> 0002)
Feb 5 09:11:18 deyan-XPS-17-9700 kernel: [ 12.058208] ath11k_pci 0000:04:00.0: MSI vectors: 32
Feb 5 09:11:18 deyan-XPS-17-9700 kernel: [ 12.189080] mhi 0000:04:00.0: Direct firmware load for ath11k/QCA6390/hw2.0/amss.bin failed with error -2
Feb 5 09:11:50 deyan-XPS-17-9700 kernel: [ 51.922789] snd_hda_codec nls_iso8859_1 snd_hda_core kvm_intel snd_hwdep soundwire_bus dell_wmi qrtr dell_smbios kvm ns ath11k_pci input_leds mhi dcdbas snd_soc_core ath11k rapl snd_compress ac97_bus intel_cstate qmi_helpers serio_raw efi_pstore dell_wmi_descriptor wmi_bmof intel_wmi_thunderbolt snd_seq_midi snd_pcm_dmaengine ee1004 mac80211 snd_pcm snd_seq_midi_event 8250_dw snd_rawmidi hci_uart snd_seq btqca hid_sensor_als btrtl cfg80211 hid_sensor_trigger btbcm industrialio_triggered_buffer kfifo_buf btintel snd_seq_device snd_timer hid_sensor_iio_common bluetooth ucsi_acpi industrialio libarc4 ucsi_ccg processor_thermal_device snd intel_rapl_common mei_me ecdh_generic typec_ucsi cros_ec_ishtp mei soundcore hid_multitouch cros_ec intel_soc_dts_iosf intel_pch_thermal typec ecc int3403_thermal int340x_thermal_zone mac_hid intel_hid nvidia_uvm(POE) sparse_keymap int3400_thermal acpi_thermal_rel acpi_tad acpi_pad sch_fq_codel dell_smm_hwmon coretemp parport_pc ppdev lp parport ip_tables
Feb 5 09:11:53 deyan-XPS-17-9700 kernel: [ 54.957495] snd_hda_codec nls_iso8859_1 snd_hda_core kvm_intel snd_hwdep soundwire_bus dell_wmi qrtr dell_smbios kvm ns ath11k_pci input_leds mhi dcdbas snd_soc_core ath11k rapl snd_compress ac97_bus intel_cstate qmi_helpers serio_raw efi_pstore dell_wmi_descriptor wmi_bmof intel_wmi_thunderbolt snd_seq_midi snd_pcm_dmaengine ee1004 mac80211 snd_pcm snd_seq_midi_event 8250_dw snd_rawmidi hci_uart snd_seq btqca hid_sensor_als btrtl cfg80211 hid_sensor_trigger btbcm industrialio_triggered_buffer kfifo_buf btintel snd_seq_device snd_timer hid_sensor_iio_common bluetooth ucsi_acpi industrialio libarc4 ucsi_ccg processor_thermal_device snd intel_rapl_common mei_me ecdh_generic typec_ucsi cros_ec_ishtp mei soundcore hid_multitouch cros_ec intel_soc_dts_iosf intel_pch_thermal typec ecc int3403_thermal int340x_thermal_zone mac_hid intel_hid nvidia_uvm(POE) sparse_keymap int3400_thermal acpi_thermal_rel acpi_tad acpi_pad sch_fq_codel dell_smm_hwmon coretemp parport_pc ppdev lp parport ip_tables
Feb 5 09:11:54 deyan-XPS-17-9700 kernel: [ 54.958823] snd_hda_codec nls_iso8859_1 snd_hda_core kvm_intel snd_hwdep soundwire_bus dell_wmi qrtr dell_smbios kvm ns a...

You-Sheng Yang (vicamo) wrote :

Hi,

> Direct firmware load for ath11k/QCA6390/hw2.0/amss.bin failed with error -2

Please download:
* https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/plain/ath11k/QCA6390/hw2.0/amss.bin
* https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/plain/ath11k/QCA6390/hw2.0/m3.bin

And place them into your /lib/firmware/ath11k/QCA6390/hw2.0/ folder.

You may also choose to downgrade your linux-firmware to that from Focal, versioned 1.187.9 currently. But while Groovy has 1.190.x, you must pin the version or it might be "upgraded" accidentally and break your WiFi again.

Deyan Petrov (deyanp) wrote :

Thanks once again, @vicamo!

Had to download additionally

https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/plain/ath11k/QCA6390/hw2.0/board-2.bin

and now finally detach my XPS 17 from the docking station and *still* have Internet!!! (3 months after getting it)

I guess if the linux-firmware gets upgraded, I can again apply the instructions above and install linux-oem-20.04b, right?

How can I "pin" linux-firmware?

Launchpad Janitor (janitor) wrote :
Download full text (20.7 KiB)

This bug was fixed in the package linux - 5.10.0-14.15

---------------
linux (5.10.0-14.15) hirsute; urgency=medium

  * hirsute/linux: 5.10.0-14.15 -proposed tracker (LP: #1913724)

  * Restore palm ejection on multi-input devices (LP: #1913520)
    - HID: multitouch: Apply MT_QUIRK_CONFIDENCE quirk for multi-input devices

  * intel-hid is not loaded on new Intel platform (LP: #1907160)
    - platform/x86: intel-hid: add Rocket Lake ACPI device ID

  * Hirsute update: v5.10.11 upstream stable release (LP: #1913430)
    - scsi: target: tcmu: Fix use-after-free of se_cmd->priv
    - mtd: rawnand: gpmi: fix dst bit offset when extracting raw payload
    - mtd: rawnand: nandsim: Fix the logic when selecting Hamming soft ECC engine
    - i2c: tegra: Wait for config load atomically while in ISR
    - i2c: bpmp-tegra: Ignore unknown I2C_M flags
    - platform/x86: ideapad-laptop: Disable touchpad_switch for ELAN0634
    - ALSA: seq: oss: Fix missing error check in snd_seq_oss_synth_make_info()
    - ALSA: hda/realtek - Limit int mic boost on Acer Aspire E5-575T
    - ALSA: hda/via: Add minimum mute flag
    - crypto: xor - Fix divide error in do_xor_speed()
    - dm crypt: fix copy and paste bug in crypt_alloc_req_aead
    - ACPI: scan: Make acpi_bus_get_device() clear return pointer on error
    - btrfs: don't get an EINTR during drop_snapshot for reloc
    - btrfs: do not double free backref nodes on error
    - btrfs: fix lockdep splat in btrfs_recover_relocation
    - btrfs: don't clear ret in btrfs_start_dirty_block_groups
    - btrfs: send: fix invalid clone operations when cloning from the same file
      and root
    - fs: fix lazytime expiration handling in __writeback_single_inode()
    - pinctrl: ingenic: Fix JZ4760 support
    - mmc: core: don't initialize block size from ext_csd if not present
    - mmc: sdhci-of-dwcmshc: fix rpmb access
    - mmc: sdhci-xenon: fix 1.8v regulator stabilization
    - mmc: sdhci-brcmstb: Fix mmc timeout errors on S5 suspend
    - dm: avoid filesystem lookup in dm_get_dev_t()
    - dm integrity: fix a crash if "recalculate" used without "internal_hash"
    - dm integrity: conditionally disable "recalculate" feature
    - drm/atomic: put state on error path
    - drm/syncobj: Fix use-after-free
    - drm/amdgpu: remove gpu info firmware of green sardine
    - drm/amd/display: DCN2X Find Secondary Pipe properly in MPO + ODM Case
    - drm/i915/gt: Prevent use of engine->wa_ctx after error
    - drm/i915: Check for rq->hwsp validity after acquiring RCU lock
    - ASoC: Intel: haswell: Add missing pm_ops
    - ASoC: rt711: mutex between calibration and power state changes
    - SUNRPC: Handle TCP socket sends with kernel_sendpage() again
    - HID: sony: select CONFIG_CRC32
    - dm integrity: select CRYPTO_SKCIPHER
    - x86/hyperv: Fix kexec panic/hang issues
    - scsi: ufs: Relax the condition of UFSHCI_QUIRK_SKIP_MANUAL_WB_FLUSH_CTRL
    - scsi: ufs: Correct the LUN used in eh_device_reset_handler() callback
    - scsi: qedi: Correct max length of CHAP secret
    - scsi: scsi_debug: Fix memleak in scsi_debug_init()
    - scsi: sd: Suppress spurious errors when WRITE SAME is being disabled
    - riscv: ...

Changed in linux (Ubuntu):
status: In Progress → Fix Released
You-Sheng Yang (vicamo) wrote :

5.11.0-10-generic kernel from ppa:canonical-kernel-team/bootstrap also have ath11k enabled out of box.

Patricio Ferraggi Ares (raagh) wrote :

Hi You-Sheng Yang, first of all, thank you for your hard work on this issue. Now that this fix has been released, could you tell me what is the procedure to get the ax500 wifi working on a Dell XPS 9310 with ubuntu 20.04? It is hard to make out a definitive guide from a conversation this big.

Thanks, have a nice day.

You-Sheng Yang (vicamo) on 2021-02-24
description: updated
You-Sheng Yang (vicamo) wrote :

@Patricio, updated in the beginning of the bug description :)

description: updated

Hi @vicamo, I virtually tried every method in this thread, notably methods 2 and 3 exposed in the summary, and also virtually every other method I could find on the web, including those ones:
 - https://mukaiguy.medium.com/adding-wifi-drivers-to-ubuntu-linux-for-dells-xps-15-9500-with-ax500-f535fb42db70
 - https://askubuntu.com/questions/1280328/ubuntu-20-04-killer-ax500s-dbs-drivers-support (all answers)

But with no success at all.
My laptop is a XPS 9500 running on **Groovy**.

In the end it never worked even if I had all the necessary and up-to-date firmware files in /lib/firmware/ath11k/, a 5.10+ kernel (custom or from the focal/hirsute repos), and an up-to-date BIOS.

I've never had any line mentioning the Wifi card in the kernel logs. I'm quite desperate :)

I must mention that it works on Windows so that's not a hardware issue.

Thanks in advance, I could use any ideas...

You-Sheng Yang (vicamo) on 2021-03-09
Changed in hwe-next:
status: New → Fix Released
You-Sheng Yang (vicamo) wrote :

@Morgan, please file a new bug so that you can upload apport logs for your own device for further investigation. And actually I didnot find a network interface on your PCI bus, maybe you have turned it off in BIOS.

Besides, https://www.dell.com/en-us/shop/dell-laptops/new-xps-15-laptop/spd/xps-15-9500-laptop#features_section XPS 9500 doesn't seem to have a configuration with QCA6390.

Anyway, please file a new bug instead.

Hi, thanks for your answer!

In fact, XPS 15 9500 *have* a QCA6390, but only the i9 version (which I have).

So I've made progress: it appears I had both software and hardware problems since it also stopped working in Windows.
Sometimes the card is gone (not appearing in the devices manager), and when I reboot it's back (or not).

That introduced a big confusion variable when I tried different solutions yesterday, because indeed the card was just disconnected (or appeared so to the system).

So, right now it's back online, and I've got it working now (with linux-oem-20.04b and linux-firmware=1.187.9 from focal)!

Or at least, partially. *Like other people in this thread*, I get stack traces and errors in the kernel log (attached). Connection to a hotspot can't be done or lasts for a second or so, and it makes the system unstable.

Is there a known solution (I can't find one here), should I open a new bug report for this, or is there already one?

You-Sheng Yang (vicamo) wrote :

File, a, new, bug.

To post a comment you must log in.